"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const components_1 = require("typedoc/dist/lib/output/components");
const events_1 = require("typedoc/dist/lib/output/events");
let SdkClientRenameGlobalPlugin = class SdkClientRenameGlobalPlugin extends components_1.RendererComponent {
    initialize() {
        this.navigationPlugin = (this.owner.application.renderer.getComponent("navigation"));
        this.listenTo(this.owner, {
            [events_1.RendererEvent.BEGIN]: this.onRenderedBegin
        });
    }
    onRenderedBegin(event) {
        const navigationItem = this.navigationPlugin.navigation;
        if (!navigationItem) {
            return;
        }
        navigationItem.children.forEach(item => {
            if (item.isGlobals && item.title === "Globals") {
                item.title = "Public Exports";
            }
        });
    }
};
SdkClientRenameGlobalPlugin = tslib_1.__decorate([
    components_1.Component({ name: "SdkClientRenameGlobal" })
], SdkClientRenameGlobalPlugin);
exports.SdkClientRenameGlobalPlugin = SdkClientRenameGlobalPlugin;
//# sourceMappingURL=sdk-client-rename-global.js.map